1Voucher
Charge South African customers via 1Voucher.
We recommend you read the method overview before you proceed.
Last updated 13 September 2026
Charge South African customers via 1Voucher. We recommend you read the method overview before you proceed.
https://api.flutterwave.com/v3/charges?type=voucher_payment
authorization string required
Pass your secret key as a bearer token in the request header to authorize this call
FILL IN ALL REQUIRED FIELDS
amount int 32 required
This is the amount to be charged. Expected value is ZAR
currency string required
This is the specified currency to charge in. (expected value: ZAR)
email string required
This is the email address of the customer
tx_ref string required
This is a unique reference, unique to the particular transaction being carried out.
pin string required
This is the voucher pin given to the user after redemption at the agent location. They would provide this to you as the voucher code.
fullname string
This is the customers full name. It should include first and last name of the customer
phone_number string
This is the phone number linked to the customer's mobile money account
client_ip string
IP - Internet Protocol. This represents the current IP address of the customer carrying out the transaction
device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used
meta object
This is used to include additional payment information
FILL IN ALL REQUIRED FIELDS
flightID string
This could be the extra information you want to pass
sideNote string
This could be any message you'd like to associate with this call
redirect_url string
This is a url you provide, we redirect to it after the customer completes payment and append the response to it as query parameters.
country string
Pass your country as US for US ACH payments and ZA for SA ACH payments
FILL IN ALL REQUIRED FIELDS
status string
message string
data object
FILL IN ALL REQUIRED FIELDS
id integer
tx_ref string
flw_ref string
device_fingerprint string
amount integer
charged_amount integer
app_fee number
merchant_fee integer
processor_response string
auth_model string
currency string
ip string
narration string
status string
auth_url string
payment_type string
fraud_status string
charge_type string
created_at string
account_id integer
customer object
FILL IN ALL REQUIRED FIELDS
id integer
phone_number string
name string
email string
created_at string
Shell